SystemOrganization addCategory: #'Morphic-Tooltip'!

BalloonMorph subclass: #TooltipMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Morphic-Tooltip'!

!TooltipMorph commentStamp: 'MJK 7/3/2012 23:18' prior: 0!
A TooltipMorph is an inherited version of the BalloonMorph, which can be used as a replacement for balloon tooltips.

To use this in the Squeak image, search all class references for BalloonMorph and replace them with TooltipMorph. There should be only two places, where this modification is needed: MenuMorph showKeyboardHelp and Morph showBalloon:hand:
!

!TooltipMorph class methodsFor: 'private' stamp: 'MJK 7/11/2012 14:53'!
getVertices: bounds
	"Construct vertices for a balloon"

	| corners |
	corners := bounds corners atAll: #(1 4 3 2).
	^(Array
		with: corners first
		with: corners first + (5 @ 0)
		with: corners first + (5 @ -5)
		with: corners first + (10 @ 0)) ,
		(Array
			with: corners second + (20 @ 0)
			with: corners third + (20 @ 0)
			with: corners fourth)! !

!TooltipMorph methodsFor: 'menus' stamp: 'MJK 7/11/2012 14:53'!
adjustedCenter
	^((Array with: (self vertices first)) , (self vertices last: 3)) average rounded! !

!TooltipMorph methodsFor: 'initialization' stamp: 'MJK 7/11/2012 14:53'!
defaultBorderWidth
	^1! !

!TooltipMorph methodsFor: 'initialization' stamp: 'MJK 1/27/2012 23:18'!
initialize
	super initialize.
	self beStraightSegments.! !
